<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Factornidademedidad{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion,$factorconversion){
	$sql="INSERT INTO factorunidademedidad (nombre,descripcion,factorconversion,condicion) VALUES ('$nombre','$descripcion','$factorconversion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idfactorunidademedidad,$nombre,$descripcion,$factorconversion){
	$sql="UPDATE factorunidademedidad SET nombre='$nombre',descripcion='$descripcion', factorconversion='$factorconversion' 
	WHERE idfactorunidademedidad='$idfactorunidademedidad'";
	return ejecutarConsulta($sql);
}
public function desactivar($idfactorunidademedidad){
	$sql="UPDATE factorunidademedidad SET condicion='0' WHERE idfactorunidademedidad='$idfactorunidademedidad'";
	return ejecutarConsulta($sql);
}
public function activar($idfactorunidademedidad){
	$sql="UPDATE factorunidademedidad SET condicion='1' WHERE idfactorunidademedidad='$idfactorunidademedidad'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idfactorunidademedidad){
	$sql="SELECT * FROM factorunidademedidad WHERE idfactorunidademedidad='$idfactorunidademedidad'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM factorunidademedidad";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM factorunidademedidad WHERE condicion=1";
	return ejecutarConsulta($sql);
}

}

 ?>
